--[[
Author: Jarth
Filename: LibJarthSharedBase.lua
]] --

-------------------------------------------------------------------------------------------------
-- VARIABLES --
-------------------------------------------------------------------------------------------------
JarthSharedBase = {}
local sharedBaseModule = JarthSharedBase

-------------------------------------------------------------------------------------------------
-- FUNCTIONS --
-------------------------------------------------------------------------------------------------
function sharedBaseModule:RestorePosition(baseModule, frame)
    local Top = baseModule.Saved.Top
    local Left = baseModule.Saved.Left

    frame:ClearAnchors()
    frame:SetAnchor(TOPLEFT, GuiRoot, TOPLEFT, Left, Top)
end

function sharedBaseModule:GetVersion(baseModule, showMinor)
    if showMinor == false or ADDON_MINOR_VERSION == nil then
        return tostring(baseModule.Addon.Version)
    end

    return tostring(baseModule.Addon.Version) .. "." .. tostring(baseModule.Addon.MinorVersion)
end


