--[[
Author: Jarth
Filename: SummonAssistant_Hotkeys.lua
]] --

-------------------------------------------------------------------------------------------------
-- VARIABLES --
-------------------------------------------------------------------------------------------------
local baseModule = SummonAssistant
local sharedBaseModule = JarthSharedBase

-------------------------------------------------------------------------------------------------
-- PRIVATE FUNCTIONS --
-------------------------------------------------------------------------------------------------

function baseModule:HotkeyCreateSelections()
    for _, _value in ipairs(baseModule.OrderedTypes) do
        if IsCollectibleUnlocked(_value.Id) then
            ZO_CreateStringId(_value.KeyBinding, _value.Name)
        end
    end
end
